Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".
Test de l'ISO d'Ubuntu francophone : nous avons besoin de testeurs pour la version francophone d'Ubuntu 14.04. Liens et informations ici.

Attention, une faille de sécurité dans bash a récemment été rapportée, il est recommandé de mettre à jour son système (plus de détails) *** mise à jour 12/10/2014 ***

#1 Le 10/08/2014, à 04:13

Nickko

Lancer Synaptic : policikit

Bonjour,

J'essaie de comprendre quelque chose.
Je viens d'installer Lubuntu, j'avais d'abord testé Ubuntu + LXDE.

Alors qu'avec LXDE Synaptic ne se lançait pas depuis le menu, avec Lubuntu, aucun problème, j'ai un peu cherché, et j'ai constaté qu'en installant policikit-1-gnome j'obtiens le même comportement dans les deux solutions mais pas le même affichage.

J'ai poussé un peu plus loin mes recherches en désinstallant policikit-1-gnome de Lubuntu, tout continu de fonctionner.

J'aimerais bien comprendre pourquoi, éventuellement trouver quel application ou configuration utilise Lubuntu pour ça.

Voila, si quelqu'un peut me mettre sur la piste, je l'en remercie (si quelqu'un à la solution directement, je le remercie d'autant plus :-)
Hfp0M

Hors ligne

#2 Le 10/08/2014, à 06:18

J5012

Re : Lancer Synaptic : policikit

agent d'authentification GNOME pour PolicyKit-1

Ce paquet fournit un service de session D-Bus utilisé pour afficher des
demandes d'authentification afin d'obtenir des privilèges.

depend principalement de policykit-1

environnement de gestion d'autorisations et de privilèges

PolicyKit est une boîte à outils au niveau applicatif pour définir et
gérer la politique permettant à des processus non-privilégiés de
communiquer avec des processus privilégiés.

Il s'agit d'un environnement permettant de centraliser l'autorisation
d'accès à des opérations privilégiées pour des applications (de bureau)
non-privilégiées.

la desinstallation de policykit-1-gnome n'empeche pas policykit-1 de fonctionner ...

Hors ligne

#3 Le 10/08/2014, à 10:59

Nickko

Re : Lancer Synaptic : policikit

J5012 a écrit :

la desinstallation de policykit-1-gnome n'empeche pas policykit-1 de fonctionner ...

Merci, ça conforte ce que je pensais, mais alors comment trouver pourquoi ça ne fonctionne pas si je n'installe pas policykit-1-gnome ?

Hors ligne

#4 Le 11/08/2014, à 20:04

J5012

Re : Lancer Synaptic : policikit

tu devrais chercher la signification technique de dependances ...

Hors ligne

#5 Le 12/08/2014, à 01:07

Nickko

Re : Lancer Synaptic : policikit

Hum, je sais ce qu'est une dépendance.

Si tu le regardes que ma dernière question ça peut ne pas paraitre évident, j'en conviens, mais si tu lis ce que j'explique au début, j'ai 2 installations, dans l'une ça fonctionne sans ce paquet et je n'ai rien vu qui puisse satisfaire la dépendance autrement, alors que dans la seconde installation ça ne fonctionne pas.

Je cherche comment trouver ce qui m'a échapper ou alors si c'est quelque chose de connu.

Hors ligne

#6 Le 13/08/2014, à 20:59

J5012

Re : Lancer Synaptic : policikit

mais en expliquant toi-meme le contexte des deux systemes, tu donnes toi-meme la solution de ta question (si tu comprend bien la notion de dependance), dans l'un il ya une dependance a gnome, dans l'autre non ...

Hors ligne

#7 Le 13/08/2014, à 23:03

Nickko

Re : Lancer Synaptic : policikit

Oui mais ce qui me chagrine c'est comment que les deux système devrait-être équivalent, or ce n'est pas le cas et je ne trouve pas pourquoi.
J'ai vu qu'il y avait un équivalent à policikyt-1-gnome pour LXDE : lxpolkit mais je n'ai pas réussi à le faire fonctionner et il n'est pas installé sur le système qui n'a pas la dépendance à Gnome comme tu dis.

Voila, si tu as une idée de comment savoir comment une dépendance est satisfaite sachant que je ne sais pas quel paquet est concerné...
En fait il me faudrait un moyen d'identifier le programme qui génère l'affichage d'une fenêtre. De là je pense que je pourrais me débrouiller.

Hors ligne

#8 Le 15/08/2014, à 03:39

J5012

Re : Lancer Synaptic : policikit

policykit-1 est une boite a outils (ce sont des fonctions logicielles)
policykit-1-gnome est une service applicatif qui se lance en arriere plan de la session (lanceur dans le dossier autostart)

policykit-1-gnome n'est pas une dependance de policykit-1 mais grace a policykit-1, il fournit des interfaces integrees au bureau (env. gnome et derives) pour les requetes d'acces ... lubuntu utilise gnome ...

ubuntu mini+lxde n'utilise pas gnome ... policykit-1 est tout de meme utilise pour les requetes d'acces mais pas par une librairie de service applicative comme policykit-1-gnome, mais directement par l'application en question (commande menu : gksu -S synaptic) ...

Hors ligne

#9 Le 15/08/2014, à 23:56

Nickko

Re : Lancer Synaptic : policikit

J'ai bien compris tout ça justement (le cas de Ubuntu mini + LXDE)
Ce que je ne comprends pas c'est pourquoi en retirant policykit-1-gnome de Lubuntu je ne me retrouve pas dans la situation Ubuntu mini + LXDE

Comment trouver la librairie de service applicative qui joue le même rôle  que policykit-1-gnome lorsque celui-ci n'est plus là.

Hors ligne

#10 Le 16/08/2014, à 21:46

J5012

Re : Lancer Synaptic : policikit

:~$ apt-cache depends policykit-1-gnome
policykit-1-gnome
  Dépend: libc6
  Dépend: libgdk-pixbuf2.0-0
  Dépend: libglib2.0-0
  Dépend: libgtk-3-0
  Dépend: libpolkit-agent-1-0
  Dépend: libpolkit-gobject-1-0
  Dépend: policykit-1
    policykit-1:i386
  Est en conflit avec: policykit-1-gnome:i386

libpolkit-agent-1-0 et libpolkit-gobject-1-0 sont deja requis par policykit-1

si tu effectues une desinstall simple de policykit-1-gnome, il restera les dependances de celui-ci ...

Hors ligne

#11 Le 16/08/2014, à 22:24

Nickko

Re : Lancer Synaptic : policikit

En fait j'ai trouvé la réponse en farfouillant, j'ai jeter un oeil dans les paramètre de LXsession et en fait c'est LXpolkit qui est utilisé par LUbuntu et non policykit-1-gnome comme je le croyais, ce qui explique pourquoi je peux désinstaller et que je continue à avoir le fenêtre de mot de passe.

Et si ça ne fonctionne qu'avec policykit-1-gnome dans Ubuntu mini + LXDE et pas avec LXpolkit c'est parce que  policykit-1-gnome s'ajouter de lui même aux programmes à démarrer automatiquement dans LXsession tandis qu'on doit le faire manuellement pour LXpolkit.

Merci pour le temps que tu m'as accordé J5012.

LXPolkit dans LXDE et Lubuntu

Dernière modification par Nickko (Le 17/08/2014, à 14:01)

Hors ligne

Haut de page ↑